const {createProxyMiddleware} = require('http-proxy-middleware')

module.exports= function(app){
  
    app.use(
        createProxyMiddleware('/api1',{//遇见 /api1前缀的请求，就会触发该代理配置
            target:'http://localhost:5000',//转发目的地
            changeOrigin:true,//控制服务器收到的相应头中Host字段的值
            pathRewrite:{'^/api1':''}//通过匹配api1进来请求，再把匹配字段重置为空去访问地址
        }),
        createProxyMiddleware('/api2',{
            target:'http://localhost:5001',//转发目的地
            changeOrigin:true,
            pathRewrite:{'^/api2':''}//通过匹配api1进来请求，再把匹配字段重置为空去访问地址
        })
    )
}
