// 创建外壳组件App
// import logo from './logo.svg';//引入logo图片的另一种方式。此时图片作为一个模块被引入：一切皆模块
import './App.css';

import React,{Component} from 'react';
import {NavLink,Link,Route,Switch,Redirect} from 'react-router-dom'
import axios from 'axios';
import logo from './logo.svg';//引入上层再上层目录

// es6的另外一种引入方式：说明这个被引入文件里面用了多种暴露方式
import AppHeader from './components/Appheader/Appheader';
import Appsider from './pages/Appsider/Appsider';
import './components/Appheader/Appheader.css'
import WorkmodulePanel from './pages/WorkModulePanel';
import WorkmessagePanel from './pages/WorkmessagePanel';
import CreateworkOrder from './pages/CreateWorkOrder';
import InviteMember from './pages/InviteMember';
import NoPermission from './pages/NoPermission';
import WorkSpace from './pages/WorkSpace';
// 类式组件(创建并暴露app组件)
export default class App extends Component{


  getdata=()=>{
    axios.get('http://localhost:3000/api1/students').then(
      response=>{
        // 网络请求成功的回调
        console.log('成功了',response.data)
      },
      error=>{
       // 网络请求失败的回调
       console.log('失败了',error)
      }
    )
  }
  getdata2=()=>{
    axios.get('http://localhost:3000/api2/cars').then(
      response=>{
        // 网络请求成功的回调
        console.log('成功了',response.data)
      },
      error=>{
       // 网络请求失败的回调
       console.log('失败了',error)
      }
    )
  }


// 定义数据，传递给子组件

state={
    listDone:[
      {id:'1000580',title:'系统业务开发-工单管理',Prostate:'已实现',platform:'云控平台1.0',level:'Middle',solver:'枫枫;',creater:'陈旭'},
      {id:'1000581',title:' 系统业务开发-网络正常无法连接到本地文件服务器',Prostate:'进行中',platform:'云控平台1.0',level:'High',solver:'枫枫;zack',creater:'	孙思邈'},
      {id:'1000582',title:'工单管理3',Prostate:'已实现',platform:'云控平台1.0',level:'Middle',solver:'feng',creater:'菜头'}
    ]
}

// 在react中靠路由链接实现切换组件


  render(){
    // 更好的取值方式
    const {listDone}=this.state;
    return(
      <div className="App">
        {/* <button onClick={this.getdata}>点我获取学生信息</button>
        <button onClick={this.getdata2}>点我获取car信息</button> */}
          {/* <AppHeader/> */}
          {/* <Appsider listDone={listDone}/> */}

          <div id="left-tree" className="frame-nav g-sidebar ">

              <div id="tree-wrapper" className="">

                      <div className="left-tree-brick brick-logo">

                          <a href="https://www.tapd.cn/company/participant_projects?from=left_tree2" className="tapd-logo">
                          <img src={logo} className="font-public-logo font-public"/>
                          {/* <i className="font-public-logo font-public"></i> */}
                          

                          </a>

                      </div>




              <div id="language_reload" className=" left-tree-brick current">

                    {/* <a id="top_nav_worktable" className="brick-wrap english has-tips" href="https://www.tapd.cn/my_worktable/?from=left_tree_cloud_v2"> */}
                      
                    {/* <Link id="top_nav_worktable" className="brick-wrap english has-tips" to="/appsider"> */}
                    
                    {/* <NavLink id="top_nav_worktable" className="brick-wrap english has-tips" to="/appsider">  */}
                    <NavLink id="top_nav_worktable" className="brick-wrap english has-tips" to="/nopermission"> 
                    <img alt='worktable' src={logo} className="font-public-worktable font-public"/>
                        {/* <i className="font-public-worktable font-public"></i> */}

                        <span id="todo_workitem_count" className="t-num nav-icon-num">

                          <span className="todo_total">30</span>

                        </span>

                        <div className="left-tree-brick-text">工作台</div>

                    {/* </a> */}
                    </NavLink>

                </div>


                <div className=" left-tree-brick my-project-list-btn ">

   
                  <NavLink  className="brick-wrap my-project-list-trigger" to="/workmodule">
                    <img alt='group' src={logo} className="font-public-project font-public"/>

                      {/* <i className="font-public-project font-public"></i> */}

                      <div className=" left-tree-brick-text">模块</div>

                  </NavLink>

                </div>

                <div id="language_reload" className=" left-tree-brick nav-iconbtn msg ">




                    <NavLink  id="top_nav_worktable_msg" className="brick-wrap has-tips" to="/workmessage"  data-todotitle="有{$num}条站内信" data-notodotitle="没有站内信">
                        <img alt='message' src={logo} className="font-public-bell font-public"/>
                          {/* <i className="font-public-bell font-public"></i> */}

                          <span id="msg_count" className="t-num">

                            <span className="todo_total"></span>

                          </span>

                          <div className="left-tree-brick-text">消息</div>

                    </NavLink> 

                </div>


                <div id="left-tree-bottom" className="left-tree-bottom left-tree-bottom-fixed" style={{width: '3em'}} >
                      
                      
                      <div class=" left-tree-brick  setting">
                          {/* <a class="brick-wrap" title="公司管理" href="/46483445/workspaces/workspace_edit" target="_blank"> */}
                            <NavLink className="brick-wrap" title="公司管理" to='/workspace' target="_blank">
                              <i class="font-public font font-set icon-setting"></i>
                            {/* </a> */}
                            </NavLink>
                      </div>	


                    <div id="new_nav_avatar_div" className="left-tree-brick nav-iconbtn dropdown user dropdown-open dropdown-up" data-dropdown="click">

                      <a className="dropdown-toggle" title="feng">

                          <div className="avatar-container j-left-nav-avatar-container avatar-nav">

                            <i style={{fontStyle: 'normal'}}  className="avatar-text-default  " title="feng">

                              <span className="avatar-default-name">

                              feng	</span>

                            </i>


                          </div>

                      </a>


                        {/* 下拉菜单 */}
                

                    <div id="personal-setting-menu" className="dropdown-menu personal-setting-menu" style={{left: '5em',bottom: '0em'}} >

                    <div className="menu-triangle" style={{left: '-20em',bottom: '39em'}}></div>

                    <ul className="menu-items">

                  

                    <li>

                    <a href="https://www.tapd.cn/personal_settings/index?tab=menu" target="_blank">

                    <i className="font-public font-public-setting"></i>

                    个人设置	</a>

                    </li>

                    <li>

                    <a href="https://www.tapd.cn/personal_settings/index?tab=problem_feedback" target="_blank">

                    <i className="font-public font-public-feedback"></i>

                    问题反馈	</a>

                  

                    

                    </li>


                    <li className="group">

                    <a href="https://www.tapd.cn/users/logout">

                    <i className="font-public font-public-logout"></i>

                    退出登录	</a>

                    </li>

                    </ul>

                    </div>

                    </div>

                  </div>
              </div>
                        {/* 注册路由 */}

              {/* <Route path='/appsider' component={Appsider}></Route> */}
              {/* <Route path='/about' Component={About}></Route> */}
              {/* <Appsider listDone={listDone}/> */}
              </div>

              {/* 注册路由 路由组件要先挂载*/}
              <Switch>
                  <Route path='/nopermission' component={NoPermission}/>
                  {/* <Route path='/invitemember' component={InviteMember}/> */}
                  <Route path='/appsider/createworkorder' component={CreateworkOrder}/>
                  <Route path='/appsider' component={Appsider}/>
                  <Route path='/workspace' component={WorkSpace}/>
                  <Route path='/workmodule' component={WorkmodulePanel}/>
                  <Route path='/workmessage' component={WorkmessagePanel}/>
                  <Redirect to='/appsider'/>
              </Switch>
    </div>
    )
  }
 
}
// 函数式组件
// function App() {
//   return (
//     <div className="App">
//       <header className="App-header">
//         <img src={logo} className="App-logo" alt="logo" />
//         <p>
//           Edit <code>src/App.js</code> and save to reload.
//         </p>
//         <a
//           className="App-link"
//           href="https://reactjs.org"
//           target="_blank"
//           rel="noopener noreferrer"
//         >
//           surfing React
//         </a>
//       </header>
//     </div>
//   );
// }
// 暴露app组件
// export default App;
